%global pkgname Storm

Name:           perl-Storm
Version:        0.240
Release:        4%{?dist}
Summary:        Object-relational mapping
License:        Artistic 2.0
URL:            http://search.cpan.org/dist/Storm/
Source0:        http://www.cpan.org/authors/id/J/JH/JHALLOCK/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::MySQL)
BuildRequires:  perl(DateTime::Format::SQLite)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::SemiAffordanceAccessor)
BuildRequires:  perl(MooseX::StrictConstructor)
BuildRequires:  perl(MooseX::Types)
#Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Storm is a Moose based library for storing and retrieving objects over a
DBI connection.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README Storm.komodoproject
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.240-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.240-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.240-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.240-1
- Initial Package.
